summaryrefslogtreecommitdiffstats
path: root/scripts/hdrcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/hdrcheck.sh')
-rwxr-xr-xscripts/hdrcheck.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/hdrcheck.sh b/scripts/hdrcheck.sh
new file mode 100755
index 00000000000..31598584f87
--- /dev/null
+++ b/scripts/hdrcheck.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+for FILE in `grep '^[ \t]*#[ \t]*include[ \t]*<' $2 | cut -f2 -d\< | cut -f1 -d\> | egrep ^linux\|^asm` ; do
+ if [ ! -r $1/$FILE ]; then
+ echo $2 requires $FILE, which does not exist in exported headers
+ exit 1
+ fi
+done
+# FIXME: List dependencies into $3
+touch $3